Groovy Documentation

## org.codehaus.groovy.vmplugin
[Java] Class VMPluginFactory

    java.lang.Object
      org.codehaus.groovy.vmplugin.VMPluginFactory

    public class VMPluginFactory
    extends java.lang.Object

Factory class to get functionality based on the VM version. The usage of this class is not for public use, only for the runtime.

Authors:
  Jochen Theodorou

Method Summary
`static VMPlugin` | `getPlugin()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getPlugin

    public static VMPlugin getPlugin()

Groovy Documentation